> For the complete documentation index, see [llms.txt](https://docs.secondstate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secondstate.io/devchain/getting-started/cybermiles-ewasm-testnet.md).

# CyberMiles ewasm testnet

The CyberMiles Public Blockchain runs an Ewasm testnet based on its blockchain software and Second State's SSVM. The easiest way to access the testnet is via Docker.

![https://asciinema.org/a/321762?speed=8](/files/-M5LJhvx6QI9be5a5S9K)

Start by pulling the Second State DevChain Docker image.

```
$ docker pull secondstate/devchain:devchain
```

You can now start the interactive console via Docker. Please note that the password is subject to change. Do not abuse it!

```
$ docker run --rm -it secondstate/devchain:devchain attach http://ewasm:3WAeT4CYSkMTAPuF@23.98.151.156
```

We recommend you to create your own account and then give yourself a little CMTs from our faucet account (`0x1bba632055efb57aa991a9b0e900194e2ea037ad`).

```
// Create a new account
> personal.newAccount("mypass");
"0xMY_ACCOUNT_ADDRESS"

// Unlock the faucet account
> personal.unlockAccount("0x1bba632055efb57aa991a9b0e900194e2ea037ad", "3WAeT4CYSkMTAPuF");
true

// Transfer 5 CMTs from the facuet account to the newly created account
> cmt.sendTransaction({"from": "0x1bba632055efb57aa991a9b0e900194e2ea037ad", "to": "0xMY_ACCOUNT_ADDRESS", "value": web3.toWei(5, "cmt")})

// Unlock the new account
> personal.unlockAccount("0xMY_ACCOUNT_ADDRESS", "mypass");
```

Now you can [follow the tutorial](/devchain/getting-started/run-an-ewasm-smart-contract.md) to deploy and test your ewasm smart contracts.

{% content-ref url="/pages/-M4H5ZXPQ-HmXj5ePCBK" %}
[Run an ewasm smart contract](/devchain/getting-started/run-an-ewasm-smart-contract.md)
{% endcontent-ref %}

![https://asciinema.org/a/321767?speed=8](/files/-M5LKLUHQy5cR5Nz0qhj)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.secondstate.io/devchain/getting-started/cybermiles-ewasm-testnet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
